TxnLogToolkit (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.persistence

## Class TxnLogToolkit

- java.lang.Object
- - org.apache.zookeeper.server.persistence.TxnLogToolkit

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class TxnLogToolkit
      extends Object
      implements Closeable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TxnLogToolkit(boolean recoveryMode, boolean verbose, String txnLogFileName, boolean force)`
    `TxnLogToolkit(String txnLogFileName, String zxidName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `chop()`
    `void` | `close()`
    `void` | `dump(Scanner scanner)`
    `boolean` | `isDumpMode()`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TxnLogToolkit

          public TxnLogToolkit(boolean recoveryMode,
                               boolean verbose,
                               String txnLogFileName,
                               boolean force)
                        throws FileNotFoundException,
                               org.apache.zookeeper.server.persistence.TxnLogToolkit.TxnLogToolkitException

      Throws:
        `FileNotFoundException`
        `org.apache.zookeeper.server.persistence.TxnLogToolkit.TxnLogToolkitException`

    - #### TxnLogToolkit

          public TxnLogToolkit(String txnLogFileName,
                               String zxidName)
                        throws org.apache.zookeeper.server.persistence.TxnLogToolkit.TxnLogToolkitException

      Throws:
        `org.apache.zookeeper.server.persistence.TxnLogToolkit.TxnLogToolkitException`

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Parameters:
        `args` - Command line arguments
      Throws:
        `Exception`

    - #### dump

          public void dump(Scanner scanner)
                    throws Exception

      Throws:
        `Exception`

    - #### chop

          public void chop()

    - #### isDumpMode

          public boolean isDumpMode()

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.